<?php

namespace Drupal\mocha_report\Controller;

use Drupal\Core\Controller\ControllerBase;

/**
 * Returns responses for Mocha Report routes.
 */
class MochaReportController extends ControllerBase {

  /**
   * Builds the response.
   */
  public function build() {
    $current_user = \Drupal\user\Entity\User::load(\Drupal::currentUser()->id());
    return [
      '#theme' => 'page__mochajs-report_page',
      '#attached' => [
         'library' => [
           'mocha_report/mocha_report_runner',
         ],
        'drupalSettings' => [
          'mochaReport' => [
            'user' => [
              'uid' => $this->currentUser()->id(),
              'name' => $this->currentUser()->getAccountName(),
              'uuid' => $current_user->get('uuid')->value,
              'isAuthenticated' => $this->currentUser()->isAuthenticated(),
            ]
          ]
        ]
      ],
    ];
  }

}
